Debian Bug report logs - #508159
joe: crashes after writing many "-" characters

version graph

Package: joe; Maintainer for joe is Josip Rodin <joy-packages@debian.org>; Source for joe is src:joe.

Reported by: Ramses Rodriguez Martinez <ramses.harpago@gmail.com>

Date: Mon, 8 Dec 2008 13:03:02 UTC

Severity: important

Found in version joe/3.7-1

Fixed in version joe/3.7-2

Done: Josip Rodin <joy-packages@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/tracker/index.php?func=detail&aid=2497552&group_id=23475&atid=378598

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#508159; Package joe. (Mon, 08 Dec 2008 13:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ramses Rodriguez Martinez <ramses.harpago@gmail.com>:
New Bug report received and forwarded. Copy sent to Josip Rodin <joy-packages@debian.org>. (Mon, 08 Dec 2008 13:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ramses Rodriguez Martinez <ramses.harpago@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: joe: crashes after writing many "-" characters
Date: Mon, 08 Dec 2008 13:57:44 +0100
Package: joe
Version: 3.7-1
Severity: important


Hi,
i've just upgraded joe to version 3.7 and i've observed a crash when writing
more than 83 "-" chars at the same line:

*** glibc detected *** joe: double free or corruption (!prev): 0x08132578

Please contact me if you are unable to reproduce the crash.


-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (990, 'unstable'), (102, 'intrepid-security'), (101, 'intrepid')
Architecture: i386 (i686)

Kernel: Linux 2.6.27.2 (PREEMPT)
Locale: LANG=es_ES.ISO-8859-15, LC_CTYPE=es_ES.ISO-8859-15 (charmap=ISO-8859-1) (ignored: LC_ALL set to es_ES)
Shell: /bin/sh linked to /bin/bash

Versions of packages joe depends on:
ii  libc6                     2.7-16         GNU C Library: Shared libraries
ii  libncurses5               5.7+20081129-1 shared libraries for terminal hand

joe recommends no packages.

joe suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#508159; Package joe. (Tue, 09 Dec 2008 11:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@debbugs.entuzijast.net>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. (Tue, 09 Dec 2008 11:27:02 GMT) Full text and rfc822 format available.

Message #10 received at 508159@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@debbugs.entuzijast.net>
To: Ramses Rodriguez Martinez <ramses.harpago@gmail.com>, 508159@bugs.debian.org
Subject: Re: Bug#508159: joe: crashes after writing many "-" characters
Date: Tue, 9 Dec 2008 12:25:11 +0100
On Mon, Dec 08, 2008 at 01:57:44PM +0100, Ramses Rodriguez Martinez wrote:
> Package: joe
> Version: 3.7-1
> Severity: important
> 
> Hi,
> i've just upgraded joe to version 3.7 and i've observed a crash when writing
> more than 83 "-" chars at the same line:
> 
> *** glibc detected *** joe: double free or corruption (!prev): 0x08132578
> 
> Please contact me if you are unable to reproduce the crash.

Woah, this is a strange one. I'm able to reproduce it with the normal joe
built with the Debian configuration, but not with a completely vanilla one.

This is the regular backtrace:

#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb7e44640 in raise () from /lib/i686/cmov/libc.so.6
#2  0xb7e46018 in abort () from /lib/i686/cmov/libc.so.6
#3  0xb7e813dd in ?? () from /lib/i686/cmov/libc.so.6
#4  0x00000006 in ?? ()
#5  0xbf8f6ea4 in ?? ()
#6  0x00000400 in ?? ()
#7  0xb7f575c8 in ?? () from /lib/i686/cmov/libc.so.6
#8  0x00000017 in ?? ()
#9  0xbf8f8792 in ?? ()
#10 0x00000021 in ?? ()
#11 0xb7f575e1 in ?? () from /lib/i686/cmov/libc.so.6
#12 0x00000002 in ?? ()
#13 0xb7f576c0 in ?? () from /lib/i686/cmov/libc.so.6
#14 0x00000021 in ?? ()
#15 0xb7f575e5 in ?? () from /lib/i686/cmov/libc.so.6
#16 0x00000004 in ?? ()
#17 0xbf8f73d3 in ?? ()
#18 0x00000008 in ?? ()
#19 0xb7f575eb in ?? () from /lib/i686/cmov/libc.so.6
#20 0x00000005 in ?? ()
#21 0xbf8f6e70 in ?? ()
#22 0xb7f6fff4 in ?? () from /lib/i686/cmov/libc.so.6
#23 0xffffffff in ?? ()
#24 0xbf8f6dd8 in ?? ()
#25 0xb7e86f5f in ?? () from /lib/i686/cmov/libc.so.6
#26 0xbf8f6df4 in ?? ()
#27 0xb7f575eb in ?? () from /lib/i686/cmov/libc.so.6
#28 0x00000005 in ?? ()
#29 0xbf8f6de0 in ?? ()
#30 0x00000025 in ?? ()
#31 0x08c5bb6a in ?? ()
#32 0xbf8f6df4 in ?? ()
#33 0xb7f53391 in ?? () from /lib/i686/cmov/libc.so.6
#34 0xb7e7a29c in vsprintf () from /lib/i686/cmov/libc.so.6
#35 0xb7e876b4 in ?? () from /lib/i686/cmov/libc.so.6
#36 0x00000002 in ?? ()
#37 0xb7f575c8 in ?? () from /lib/i686/cmov/libc.so.6
#38 0xbf8f8792 in ?? ()
#39 0xb7f576c0 in ?? () from /lib/i686/cmov/libc.so.6
#40 0xbf8f73d3 in ?? ()
#41 0xb7f576c0 in ?? () from /lib/i686/cmov/libc.so.6
#42 0x30caf740 in ?? ()
#43 0x31626338 in ?? ()
#44 0x00386334 in ?? ()
#45 0xb7f6fff4 in ?? () from /lib/i686/cmov/libc.so.6
#46 0xb7f71160 in ?? () from /lib/i686/cmov/libc.so.6
#47 0x08cb14c8 in ?? ()
#48 0xbf8f7408 in ?? ()
#49 0xb7e898b6 in free () from /lib/i686/cmov/libc.so.6
Backtrace stopped: frame did not save the PC

-- 
     2. That which causes joy or happiness.




Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#508159; Package joe. (Tue, 09 Dec 2008 11:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@debbugs.entuzijast.net>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. (Tue, 09 Dec 2008 11:42:02 GMT) Full text and rfc822 format available.

Message #15 received at 508159@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@debbugs.entuzijast.net>
To: Ramses Rodriguez Martinez <ramses.harpago@gmail.com>, 508159@bugs.debian.org
Cc: debian-glibc@lists.debian.org
Subject: Re: Bug#508159: joe: crashes after writing many "-" characters
Date: Tue, 9 Dec 2008 12:39:22 +0100
[Message part 1 (text/plain, inline)]
On Tue, Dec 09, 2008 at 12:25:11PM +0100, Josip Rodin wrote:
> On Mon, Dec 08, 2008 at 01:57:44PM +0100, Ramses Rodriguez Martinez wrote:
> > Package: joe
> > Version: 3.7-1
> > Severity: important
> > 
> > Hi,
> > i've just upgraded joe to version 3.7 and i've observed a crash when writing
> > more than 83 "-" chars at the same line:
> > 
> > *** glibc detected *** joe: double free or corruption (!prev): 0x08132578
> > 
> > Please contact me if you are unable to reproduce the crash.
> 
> Woah, this is a strange one. I'm able to reproduce it with the normal joe
> built with the Debian configuration, but not with a completely vanilla one.
> 
> This is the regular backtrace:
> 
> #0  0xffffe424 in __kernel_vsyscall ()
> #1  0xb7e44640 in raise () from /lib/i686/cmov/libc.so.6
> #2  0xb7e46018 in abort () from /lib/i686/cmov/libc.so.6
> #3  0xb7e813dd in ?? () from /lib/i686/cmov/libc.so.6
> #4  0x00000006 in ?? ()
> #5  0xbf8f6ea4 in ?? ()
> #6  0x00000400 in ?? ()
> #7  0xb7f575c8 in ?? () from /lib/i686/cmov/libc.so.6
> #8  0x00000017 in ?? ()
> #9  0xbf8f8792 in ?? ()
> #10 0x00000021 in ?? ()
> #11 0xb7f575e1 in ?? () from /lib/i686/cmov/libc.so.6
> #12 0x00000002 in ?? ()
> #13 0xb7f576c0 in ?? () from /lib/i686/cmov/libc.so.6
> #14 0x00000021 in ?? ()
> #15 0xb7f575e5 in ?? () from /lib/i686/cmov/libc.so.6
> #16 0x00000004 in ?? ()
> #17 0xbf8f73d3 in ?? ()
> #18 0x00000008 in ?? ()
> #19 0xb7f575eb in ?? () from /lib/i686/cmov/libc.so.6
> #20 0x00000005 in ?? ()
> #21 0xbf8f6e70 in ?? ()
> #22 0xb7f6fff4 in ?? () from /lib/i686/cmov/libc.so.6
> #23 0xffffffff in ?? ()
> #24 0xbf8f6dd8 in ?? ()
> #25 0xb7e86f5f in ?? () from /lib/i686/cmov/libc.so.6
> #26 0xbf8f6df4 in ?? ()
> #27 0xb7f575eb in ?? () from /lib/i686/cmov/libc.so.6
> #28 0x00000005 in ?? ()
> #29 0xbf8f6de0 in ?? ()
> #30 0x00000025 in ?? ()
> #31 0x08c5bb6a in ?? ()
> #32 0xbf8f6df4 in ?? ()
> #33 0xb7f53391 in ?? () from /lib/i686/cmov/libc.so.6
> #34 0xb7e7a29c in vsprintf () from /lib/i686/cmov/libc.so.6
> #35 0xb7e876b4 in ?? () from /lib/i686/cmov/libc.so.6
> #36 0x00000002 in ?? ()
> #37 0xb7f575c8 in ?? () from /lib/i686/cmov/libc.so.6
> #38 0xbf8f8792 in ?? ()
> #39 0xb7f576c0 in ?? () from /lib/i686/cmov/libc.so.6
> #40 0xbf8f73d3 in ?? ()
> #41 0xb7f576c0 in ?? () from /lib/i686/cmov/libc.so.6
> #42 0x30caf740 in ?? ()
> #43 0x31626338 in ?? ()
> #44 0x00386334 in ?? ()
> #45 0xb7f6fff4 in ?? () from /lib/i686/cmov/libc.so.6
> #46 0xb7f71160 in ?? () from /lib/i686/cmov/libc.so.6
> #47 0x08cb14c8 in ?? ()
> #48 0xbf8f7408 in ?? ()
> #49 0xb7e898b6 in free () from /lib/i686/cmov/libc.so.6
> Backtrace stopped: frame did not save the PC

JFTR the beginning of that gdb backtrace is:

Program received signal SIGABRT, Aborted.
0xffffe424 in __kernel_vsyscall ()
(gdb) bt

I'm also attaching the strace log, FWIW.

I'm unable to find the difference between the Debian build and the normal
one that would be an obvious cause this... I've applied the small utf8.c
patch we have to the vanilla version, and it still works. We have another
patch but that affects .php files only (and this crash happens on a blank
file). The CFLAGS are "-g -O2" in both cases, except that our setting is
added through the environment of ./configure. We also change a few paths in
the defines (-D), but that is usually harmless (at least it's supposed to
be).

I'm attaching build logs of a vanilla joe 3.7 build which doesn't end up
exhibiting the SIGALRM, and a Debian-modified joe 3.7 build which does.

Also I'm Cc:ing debian-glibc@ because the only referenced points in the
backtrace are from the libc6-i686 package. It sure seems like a candidate
to be reassigned there.

-- 
     2. That which causes joy or happiness.
[debian.strace.log (text/plain, attachment)]
[debian.build.log (text/plain, attachment)]
[vanilla.build.log (text/plain, attachment)]

Bug reassigned from package `joe' to `libc6-i686'. Request was from Josip Rodin <joy@debbugs.entuzijast.net> to control@bugs.debian.org. (Tue, 06 Jan 2009 15:27:08 GMT) Full text and rfc822 format available.

Bug reassigned from package `libc6-i686' to `joe'. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Tue, 06 Jan 2009 19:03:10 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to https://sourceforge.net/tracker/index.php?func=detail&aid=2497552&group_id=23475&atid=378598. Request was from Josip Rodin <joy@debbugs.entuzijast.net> to control@bugs.debian.org. (Sat, 10 Jan 2009 11:09:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wolf@gravity.psu.edu, Josip Rodin <joy-packages@debian.org>:
Bug#508159; Package joe. (Thu, 11 Mar 2010 17:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Tichy <wolf@gravity.psu.edu>:
Extra info received and forwarded to list. Copy sent to wolf@gravity.psu.edu, Josip Rodin <joy-packages@debian.org>. (Thu, 11 Mar 2010 17:30:04 GMT) Full text and rfc822 format available.

Message #26 received at 508159@bugs.debian.org (full text, mbox):

From: Wolfgang Tichy <wolf@gravity.psu.edu>
To: Debian Bug Tracking System <508159@bugs.debian.org>
Subject: joe: crashes after entering many "-" characters
Date: Thu, 11 Mar 2010 12:27:09 -0500
Package: joe
Version: 3.7-1
Severity: normal



-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-trunk-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages joe depends on:
ii  libc6                     2.10.2-6       Embedded GNU C Library: Shared lib
ii  libncurses5               5.7+20090803-2 shared libraries for terminal hand

joe recommends no packages.

joe suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#508159; Package joe. (Tue, 10 Aug 2010 19:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcel Stimberg <marcelcoding@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. (Tue, 10 Aug 2010 19:57:03 GMT) Full text and rfc822 format available.

Message #31 received at 508159@bugs.debian.org (full text, mbox):

From: Marcel Stimberg <marcelcoding@googlemail.com>
To: 508159@bugs.debian.org
Subject: joe: crashes after writing many "-" characters
Date: Tue, 10 Aug 2010 21:54:58 +0200
There's also an Ubuntu bug (there are no Ubuntu changes to the joe
package) about this:
https://bugs.launchpad.net/ubuntu/+source/joe/+bug/615320
Building from the source package I can only reproduce the bug if I use
the configure options --sysconfdir=/etc --prefix=/usr.
The backtrace is:
(gdb) bt
#0  0x00007ffff73c3a75 in *__GI_raise (sig=<value optimized out>) at
../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x00007ffff73c75c0 in *__GI_abort () at abort.c:92
#2  0x00007ffff73fd4fb in __libc_message (do_abort=<value optimized
out>, fmt=<value optimized out>) at
../sysdeps/unix/sysv/linux/libc_fatal.c:189
#3  0x00007ffff74075b6 in malloc_printerr (action=3,
str=0x7ffff74dac00 "free(): invalid next size (fast)", ptr=<value
optimized out>) at malloc.c:6264
#4  0x00007ffff740de53 in *__GI___libc_free (mem=<value optimized
out>) at malloc.c:3738
#5  0x000000000042f913 in utypebw_raw (bw=0x7475d0, k=45,
no_decode=<value optimized out>) at uedit.c:1845
#6  0x000000000040eeab in execmd (cmd=0x664ae0, k=45) at cmd.c:408
#7  0x0000000000411b83 in exsimple (m=0x6cb2a0, arg=<value optimized
out>, u=6) at macro.c:425
#8  0x0000000000412d48 in edloop (flg=0) at main.c:126
#9  0x000000000041360a in main (argc=<value optimized out>,
real_argv=0x44951a, envv=<value optimized out>) at main.c:535

Running the code under valgrind I get the following info:
==27663== Invalid write of size 1
==27663==    at 0x435052: wrapword (uformat.c:368)
==27663==    by 0x42F912: utypebw_raw (uedit.c:1845)
==27663==    by 0x40EEAA: execmd (cmd.c:408)
==27663==    by 0x411B82: exsimple (macro.c:425)
==27663==    by 0x412D47: edloop (main.c:126)
==27663==    by 0x413609: main (main.c:535)
==27663==  Address 0x5b60818 is 0 bytes after a block of size 88 alloc'd
==27663==    at 0x4C284A8: malloc (vg_replace_malloc.c:236)
==27663==    by 0x440DF8: joe_malloc (utils.c:256)
==27663==    by 0x4050AD: brs (b.c:2920)
==27663==    by 0x434D70: wrapword (uformat.c:359)
==27663==    by 0x42F912: utypebw_raw (uedit.c:1845)
==27663==    by 0x40EEAA: execmd (cmd.c:408)
==27663==    by 0x411B82: exsimple (macro.c:425)
==27663==    by 0x412D47: edloop (main.c:126)
==27663==    by 0x413609: main (main.c:535)
==27663==
==27663== Invalid read of size 1
==27663==    at 0x4C296E4: __GI_strlen (mc_replace_strmem.c:284)
==27663==    by 0x434DD7: wrapword (uformat.c:373)
==27663==    by 0x42F912: utypebw_raw (uedit.c:1845)
==27663==    by 0x40EEAA: execmd (cmd.c:408)
==27663==    by 0x411B82: exsimple (macro.c:425)
==27663==    by 0x412D47: edloop (main.c:126)
==27663==    by 0x413609: main (main.c:535)
==27663==  Address 0x5b60818 is 0 bytes after a block of size 88 alloc'd
==27663==    at 0x4C284A8: malloc (vg_replace_malloc.c:236)
==27663==    by 0x440DF8: joe_malloc (utils.c:256)
==27663==    by 0x4050AD: brs (b.c:2920)
==27663==    by 0x434D70: wrapword (uformat.c:359)
==27663==    by 0x42F912: utypebw_raw (uedit.c:1845)
==27663==    by 0x40EEAA: execmd (cmd.c:408)
==27663==    by 0x411B82: exsimple (macro.c:425)
==27663==    by 0x412D47: edloop (main.c:126)
==27663==    by 0x413609: main (main.c:535)

I think the following code might do a write one byte after the end of
the allocated memory (uformat.c:366):
				if (x) {
					indents[x++] = ' ';
					indents[x] = 0;
				}




Reply sent to Josip Rodin <joy-packages@debian.org>:
You have taken responsibility. (Sat, 13 Nov 2010 22:21:03 GMT) Full text and rfc822 format available.

Notification sent to Ramses Rodriguez Martinez <ramses.harpago@gmail.com>:
Bug acknowledged by developer. (Sat, 13 Nov 2010 22:21:03 GMT) Full text and rfc822 format available.

Message #36 received at 508159-close@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy-packages@debian.org>
To: 508159-close@bugs.debian.org
Subject: Bug#508159: fixed in joe 3.7-2
Date: Sat, 13 Nov 2010 22:17:23 +0000
Source: joe
Source-Version: 3.7-2

We believe that the bug you reported is fixed in the latest version of
joe, which is due to be installed in the Debian FTP archive:

joe_3.7-2.diff.gz
  to main/j/joe/joe_3.7-2.diff.gz
joe_3.7-2.dsc
  to main/j/joe/joe_3.7-2.dsc
joe_3.7-2_amd64.deb
  to main/j/joe/joe_3.7-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 508159@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josip Rodin <joy-packages@debian.org> (supplier of updated joe package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 13 Nov 2010 21:38:30 +0100
Source: joe
Binary: joe
Architecture: source amd64
Version: 3.7-2
Distribution: unstable
Urgency: high
Maintainer: Josip Rodin <joy-packages@debian.org>
Changed-By: Josip Rodin <joy-packages@debian.org>
Description: 
 joe        - user friendly full screen text editor
Closes: 508159 508797 514512 549277 597825
Changes: 
 joe (3.7-2) unstable; urgency=high
 .
   * Fix the crash when typing too many dashes on a line, d'oh,
     cherry-picked upstream CVS fix for uformat.c by Joseph Allen, and
     fixed that in turn to actually assign the value of x to orgx, silly,
     closes: #508159.
   * Fix the various segfaults when called with more than one file, d'oh.
     Thanks to Oyvind Aabling for a patch, but actually it seems that
     this was a copy&waste error that crept up into the 3.7 tarball yet
     was coded properly in CVS (main.c r1.79), so simply used that line
     from the CVS version, closes: #514512.
   * Fix the Ins key for jstar users by replacing the obsolete marker
     "overtype" with "overwrite" in rc/jstarrc.in, thanks to Adam Borowski,
     closes: #508797.
   * Fix the matching of python<numbered> interpreters in rc/ftyperc,
     thanks to Piotr Engelking, closes: #549277.
   * Undo the mail formatting horror by reverting to the 3.5-2 (lenny)
     version of syntax/mail.jsf.in. Neither the upstream commits nor the
     NEWS file really explain the benefits of the new stuff, I only see
     the bugs and all the excess red that's making me nauseous, too,
     closes: #597825.
   * Update standards version to 3.9.1.
     + Update menu section from Apps/Editors to Applications/Editors. (3.7.3)
     + Add Homepage field. (3.8.0)
   * Declare 1.0 in debian/source/format explicitly.
Checksums-Sha1: 
 c3fea68e0b6f5e4c46dc0d898f71b1518e3b4757 938 joe_3.7-2.dsc
 65d3a443596d9686f45e1ed25b6dbef15504c939 14178 joe_3.7-2.diff.gz
 cb9514181becac47b3e56f392188215e32d4bf41 494348 joe_3.7-2_amd64.deb
Checksums-Sha256: 
 2da1fdfff8e00e2ffc462f2199c8fd860f4d7330123976e5da1b5f4554638a83 938 joe_3.7-2.dsc
 354f27afa6893535b69cd60f67477d051aae1b51c464ded6869cf8b96164dbe2 14178 joe_3.7-2.diff.gz
 95de04981a4c512d9d1e0d423a2bae16e76624d49631398d75369ac42eb33369 494348 joe_3.7-2_amd64.deb
Files: 
 0daf54333e64f50d46d6795a8ecf3829 938 editors optional joe_3.7-2.dsc
 a82a3f3f464940e25b49d1f67db2e023 14178 editors optional joe_3.7-2.diff.gz
 9318cc07c75237216947408d0ac7f37d 494348 editors optional joe_3.7-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFM3wolC1RHoiANFZYRAoXsAKDd62rmQz6nsP/GzMSrOsumgfFB6wCcDOeC
+RvXhH1jbKB+zKkx+rqYPkY=
=ZCsM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Dec 2010 07:31:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:50:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.